From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ml/lablgtk/
Date: Fri, 31 Jan 2020 13:05:50 +0000 (UTC) [thread overview]
Message-ID: <1580475941.2c6987b8674a7b1d3e8e7475a6c9583abdb15eb0.juippis@gentoo> (raw)
commit: 2c6987b8674a7b1d3e8e7475a6c9583abdb15eb0
Author: Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 31 13:04:24 2020 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Jan 31 13:05:41 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2c6987b8
dev-ml/lablgtk: revbump 2.18.8, EAPI-7, fix CI issue, restore KEYWORDS
- bump EAPI-7,
- drop findlib.eclass,
- drop multilib.eclass,
- fix DeprecatedInsinto CI issue,
- restore KEYWORDS from lablgtk-2.18.5.ebuild,
- rework 'examples' logic to obey small-files QA policy,
- sort dependencies,
- sort ebuild global variables to follow default skel,
- sort IUSE,
- use BDEPEND,
- use DOCS array,
- use econf array.
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
dev-ml/lablgtk/lablgtk-2.18.8-r1.ebuild | 72 +++++++++++++++++++++++++++++++++
1 file changed, 72 insertions(+)
diff --git a/dev-ml/lablgtk/lablgtk-2.18.8-r1.ebuild b/dev-ml/lablgtk/lablgtk-2.18.8-r1.ebuild
new file mode 100644
index 00000000000..bed3712e2d4
--- /dev/null
+++ b/dev-ml/lablgtk/lablgtk-2.18.8-r1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Objective CAML interface for Gtk+2"
+HOMEPAGE="http://lablgtk.forge.ocamlcore.org"
+SRC_URI="https://github.com/garrigue/lablgtk/releases/download/lablgtk2188/${P}.tar.gz"
+
+LICENSE="LGPL-2.1-with-linking-exception examples? ( lablgtk-examples )"
+SLOT="2/${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="debug examples glade gnomecanvas +ocamlopt opengl sourceview spell svg"
+
+DEPEND="dev-lang/ocaml:=[ocamlopt?]
+ dev-ml/camlp4:=
+ x11-libs/gtk+:2
+ glade? ( gnome-base/libglade )
+ gnomecanvas? ( gnome-base/libgnomecanvas )
+ opengl? (
+ dev-ml/lablgl:=
+ x11-libs/gtkglarea:2
+ )
+ sourceview? ( x11-libs/gtksourceview:2.0 )
+ spell? ( app-text/gtkspell:2 )
+ svg? ( gnome-base/librsvg:2 )"
+RDEPEND="${DEPEND}"
+BDEPEND="dev-ml/findlib
+ virtual/pkgconfig"
+
+DOCS=( CHANGES README CHANGES.API )
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable debug)
+ $(use_with svg rsvg)
+ $(use_with glade)
+ --without-gnomeui
+ --without-panel
+ $(use_with opengl gl)
+ $(use_with spell gtkspell)
+ --without-gtksourceview
+ $(use_with sourceview gtksourceview2)
+ $(use_with gnomecanvas)
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ # parallel build crashes
+ emake -j1 all
+ if use ocamlopt; then
+ emake -j1 opt
+ fi
+}
+
+src_install () {
+ local destdir="$(ocamlfind printconf destdir || die)"
+ dodir "${destdir}/stublibs"
+ export OCAMLFIND_DESTDIR=${ED}"${destdir}"
+ export OCAMLPATH="${ED}${destdir}"
+ export OCAMLFIND_LDCONF=ignore
+
+ default
+ rm "${ED}/usr/$(get_libdir)/ocaml/ld.conf" || die
+
+ if use examples; then
+ dodoc -r examples/
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}
next reply other threads:[~2020-01-31 13:05 UTC|newest]
Thread overview: 63+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-01-31 13:05 Joonas Niilola [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-16 12:07 [gentoo-commits] repo/gentoo:master commit in: dev-ml/lablgtk/ Alfredo Tupone
2024-11-12 9:18 Alfredo Tupone
2024-10-15 15:25 Arthur Zamarin
2024-06-26 19:22 Alfredo Tupone
2024-06-26 8:31 Alfredo Tupone
2024-06-06 19:24 Alfredo Tupone
2023-04-09 13:08 Arthur Zamarin
2023-04-09 12:47 Arthur Zamarin
2023-04-09 12:41 Arthur Zamarin
2023-04-01 19:52 Sam James
2023-03-17 16:51 Arthur Zamarin
2023-03-17 10:03 Arthur Zamarin
2023-03-16 23:16 Sam James
2023-03-16 23:16 Sam James
2023-02-15 18:38 Matt Turner
2023-01-27 22:00 Alfredo Tupone
2023-01-20 20:12 Alfredo Tupone
2022-12-06 21:27 Alfredo Tupone
2022-12-06 9:25 Sam James
2022-12-05 13:28 Alfredo Tupone
2022-09-05 22:09 Maciej Barć
2021-03-14 0:48 Sam James
2021-02-21 10:17 Andreas Sturmlechner
2021-02-21 10:17 Andreas Sturmlechner
2021-02-19 21:13 Alfredo Tupone
2021-01-27 19:30 Alfredo Tupone
2021-01-14 6:42 Alfredo Tupone
2020-11-01 11:38 Sam James
2020-10-28 3:36 Sam James
2020-10-24 0:38 Sam James
2020-10-22 13:59 Sam James
2020-10-22 13:59 Sam James
2020-10-22 12:13 Sam James
2020-09-20 20:21 Agostino Sarubbo
2020-09-09 18:35 Alfredo Tupone
2020-09-07 8:47 Sergei Trofimovich
2020-06-21 20:31 Thomas Deutschmann
2020-03-23 17:41 Alfredo Tupone
2020-03-20 20:06 David Seifert
2020-02-17 20:26 Alfredo Tupone
2020-02-17 20:26 Alfredo Tupone
2020-01-31 13:05 Joonas Niilola
2020-01-07 21:01 Jason A. Donenfeld
2017-11-04 9:53 Alexis Ballier
2017-11-04 9:53 Alexis Ballier
2017-04-05 17:50 Markus Meier
2017-01-22 17:54 Alexis Ballier
2017-01-22 16:36 Tobias Klausmann
2017-01-14 17:57 Mikle Kolyada
2017-01-08 10:50 Aaron Bauman
2016-12-27 1:16 Aaron Bauman
2016-08-12 12:53 Alexis Ballier
2016-07-05 9:43 Tobias Klausmann
2016-06-29 21:14 Michał Górny
2016-06-24 9:57 Alexis Ballier
2016-04-30 14:18 Alexis Ballier
2016-04-30 14:18 Alexis Ballier
2016-01-11 9:07 Agostino Sarubbo
2016-01-09 6:43 Agostino Sarubbo
2015-12-07 11:40 Agostino Sarubbo
2015-12-03 13:28 Agostino Sarubbo
2015-11-25 8:54 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1580475941.2c6987b8674a7b1d3e8e7475a6c9583abdb15eb0.juippis@gentoo \
--to=juippis@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox